# Enum Class Authentication

java.lang.Object
java.lang.Enum<Authentication>
org.apache.tomcat.util.net.openssl.ciphers.Authentication

All Implemented Interfaces:
  `Serializable, Comparable<Authentication>, Constable`

public enum Authentication extends Enum<Authentication>
Enumeration of authentication types used in OpenSSL cipher specifications.

## Nested Class Summary

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`aNULL`
No authentication (i.e. use ADH or AECDH).
`ANY`
Any authentication (TLS 1.3).
`DH`
Fixed DH authentication (kDHd or kDHr).
`DSS`
DSS authentication.
`ECDH`
Fixed ECDH authentication (kECDHe or kECDHr).
`ECDSA`
ECDSA authentication.
`EdDSA`
EdDSA authentication.
`FZA`
Fortezza authentication.
`GOST01`
GOST R 34.10-2001 authentication.
`GOST94`
GOST R 34.10-94 signature authentication.
`KRB5`
KRB5 authentication.
`MLDSA`
ML-DSA authentication.
`PSK`
PSK authentication.
`RSA`
RSA authentication.
`SRP`
Secure Remote Password authentication.

## Method Summary

Modifier and Type
Method
Description
`static Authentication`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Authentication[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### RSA

public static final Authentication RSA
RSA authentication.

### DSS

public static final Authentication DSS
DSS authentication.

### aNULL

public static final Authentication aNULL
No authentication (i.e. use ADH or AECDH).

### DH

public static final Authentication DH
Fixed DH authentication (kDHd or kDHr).

### ECDH

public static final Authentication ECDH
Fixed ECDH authentication (kECDHe or kECDHr).

### KRB5

public static final Authentication KRB5
KRB5 authentication.

### ECDSA

public static final Authentication ECDSA
ECDSA authentication.

### PSK

public static final Authentication PSK
PSK authentication.

### GOST94

public static final Authentication GOST94
GOST R 34.10-94 signature authentication.

### GOST01

public static final Authentication GOST01
GOST R 34.10-2001 authentication.

### FZA

public static final Authentication FZA
Fortezza authentication.

### SRP

public static final Authentication SRP
Secure Remote Password authentication.

### EdDSA

public static final Authentication EdDSA
EdDSA authentication.

### MLDSA

public static final Authentication MLDSA
ML-DSA authentication.

### ANY

public static final Authentication ANY
Any authentication (TLS 1.3).

## Method Details

### values

public static Authentication[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Authentication valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null